- Qt 6.11
- Qt Quick 3D
- QML Types
- QtQuick3D.Xr (Technology Preview)
- XrSimpleHapticEffect
- Qt Quick 3D | Commercial or GPLv3

# XrSimpleHapticEffect QML Type

Allows setting controller haptics using amplitude, duration and frequency. More...

Import Statement: | `import QtQuick3D.Xr`
Since: | Qt 6.9
Inherits: | XrHapticEffect
Status: | Technology Preview

- List of all members, including inherited members

## Properties

- amplitude() : bool
- duration() : bool
- frequency() : bool

## Detailed Description

     XrSimpleHapticEffect {
         amplitude: 0.5
         duration: 300
         frequency: 3000
     }

See also XrHapticFeedback.

## Property Documentation

### amplitude() : bool `[default: 0.5]`

Defines the amplitude of the effect's vibration. Acceptable values are from 0.0 to 1.0

### duration() : bool `[default: 30]`

Defines the duration of the haptic effect in milliseconds.

### frequency() : bool `[default: 3000]`

Defines the frequency of the haptic effect in Hz